package domain

type AlibabaHmMarketingBuygiftItemRemoveAsyncCommonActivityParam struct {
	/*
	   外部活动编码     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaHmMarketingBuygiftItemRemoveAsyncCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingBuygiftItemRemoveAsyncCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingBuygiftItemRemoveAsyncCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingBuygiftItemRemoveAsyncCommonActivityParam {
	s.ActivityId = &v
	return s
}
